Bug 2847 - Interference models produce negative interference because of roundoff.
Interference models produce negative interference because of roundoff.
Status: PATCH WANTED
Product: ns-3
Classification: Unclassified
Component: spectrum
ns-3-dev
All All
: P3 normal
Assigned To: Nicola Baldo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-08 19:25 EST by Peter Barnes
Modified: 2018-05-31 18:53 EDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Barnes 2018-01-08 19:25:13 EST
This is a placeholder for the Spectrum component.  Please see the Wifi bug 2846 for all details.
Comment 1 Peter Barnes 2018-01-10 21:05:15 EST
We're tracking this in bug 2791 now.
Comment 2 Tom Henderson 2018-05-29 22:31:20 EDT
Move to NEEDINFO (is it resolved by 2791 or is there something more to do?)
Comment 3 Peter Barnes 2018-05-31 18:39:57 EDT
(In reply to Tom Henderson from comment #2)
> Move to NEEDINFO (is it resolved by 2791 or is there something more to do?)

The fix from bug 2791 (or something very similar) needs to be applied to the spectrum Ix version.  Another approach would be to abstract out the Ix calculation to a utility class, or refactor wifi to use the spectrum Ix directly.  The last is probably the right approach.
Comment 4 Tom Henderson 2018-05-31 18:53:03 EDT
(In reply to Peter Barnes from comment #3)
> (In reply to Tom Henderson from comment #2)
> > Move to NEEDINFO (is it resolved by 2791 or is there something more to do?)
> 
> The fix from bug 2791 (or something very similar) needs to be applied to the
> spectrum Ix version.  Another approach would be to abstract out the Ix
> calculation to a utility class, or refactor wifi to use the spectrum Ix
> directly.  The last is probably the right approach.

The last idea is interesting, but we may want to consider also to deprecate the non-spectrum phy (YansWifiPhy) if we go down that path.